> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/venues/venuedata/get-venue-rate-plan-list.md).

# Get Venue Rate Plan List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getVenueRatePlanList`

Get the rate plan for a specific venue.

#### Request Body

| Name    | Type    | Description         |
| ------- | ------- | ------------------- |
| venueId | integer | The id of the venue |

{% tabs %}
{% tab title="200 " %}

```
{
  "meta": {
    "totalResults": 2,
    "start": 0,
    "perPage": null,
    "count": 2
  },
  "results": [
    {
      "id": 1,
      "name": "Basic Rate Plan",
      "code": "2-1",
      "description": "<p>Basic Room Pan</p> "
    },
    {
      "id": 2,
      "name": "Luxrious Plan",
      "code": "2-2",
      "description": "<p><strong>This is bit good:) here &#160;</strong></p> "
    }
  ]
}
```

{% endtab %}
{% endtabs %}

The result from this call will be a [collection](/getting-started/interpreting-the-response/collections.md) of all the events the user has access to. This call also accepts the [pagination](/getting-started/interpreting-the-response/pagination.md) and [filter](/getting-started/interpreting-the-response/filtering.md) properties. The venueId is required, for example {"venuId":10}

### Example Request

`Get a specific Venue’s Rate Plan List`

```javascript
{
  "venueId": 1
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/venuedata/get-venue-rate-plan-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
